Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class FlashPersistentFieldStrategy

    java.lang.Object
      org.apache.tapestry5.internal.services.AbstractSessionPersistentFieldStrategy
          org.apache.tapestry5.internal.services.FlashPersistentFieldStrategy

All Implemented Interfaces:
  PersistentFieldStrategy

    public class FlashPersistentFieldStrategy

extends AbstractSessionPersistentFieldStrategy

The "flash" strategy stores data inside the `session`, just like `SessionPersistentFieldStrategy`, but also removes the values from the session on first use. In this way, a short-term value (such as an error message) will "survive" from an action request to a render request and then disappear.

Constructor Summary
`FlashPersistentFieldStrategy(Request request)`

Method Summary
`protected void` | `didReadChange(Session session, java.lang.String attributeName)` Called after each key is read by `AbstractSessionPersistentFieldStrategy.gatherFieldChanges(String)`.

Methods inherited from class org.apache.tapestry5.internal.services.AbstractSessionPersistentFieldStrategy
`convertApplicationValueToPersisted, convertPersistedToApplicationValue, discardChanges, gatherFieldChanges, postChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlashPersistentFieldStrategy

    public FlashPersistentFieldStrategy(Request request)

Method Detail

### didReadChange

    protected void didReadChange(Session session,
                                 java.lang.String attributeName)

  Description copied from class: `AbstractSessionPersistentFieldStrategy`
  Called after each key is read by `AbstractSessionPersistentFieldStrategy.gatherFieldChanges(String)`. This implementation does nothing, subclasses may override.

  Overrides:
    `didReadChange` in class `AbstractSessionPersistentFieldStrategy`
  Parameters:
    `session` - the session from which a value was just read
    `attributeName` - the name of the attribute used to read a value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.